Skip to content
Content & StorefrontCustomer

Create a review as the signed-in customer

Publishes the signed-in customer's review of a product. Each customer reviews a product once.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/customer/reviews" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>" \  -H "Content-Type: application/json" \  -d '{    "productId": "7204558912004322039",    "rating": 5,    "content": "Gracias por tu compra, Andrea.",    "title": "Andrea Ramos",    "reviewerName": "Andrea Ramos"  }'
{  "id": "7204558912004321328",  "productId": "7204558912004322039",  "isVerifiedPurchase": true,  "rating": 5,  "title": "Muy buena calidad",  "content": "Gracias por tu compra, Andrea.",  "reviewerName": "Muy buena calidad",  "createdOn": "2026-09-28T15:30:00Z"}